#include <iostream.h>
#include <iomanip.h>
 int main()
{
  int a[6]={1,2,3,4,5,6},*p[2];//定义一维数组和指针数组
  int i,j;
  for(i=0;i<2;i++)//建立指针数组元素与一维数组的联系
   p[i]=&a[i*3];
  for(i=0;i<2;i++)
  {
   for(j=0;j<3;j++)
    cout<<setw(2)<<p[i][j];//以二维数组的形式输出
   cout<<endl;
  }
  return(0);
}
